bind9 9.10.3.dfsg.P2-5 crash on exit

Bug #1549788 reported by Xu Zhen on 2016-02-25
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bind9 (Ubuntu)
Undecided
Unassigned

Bug Description

systemctl stop bind9.service
journalctl -u bind9 -n 15

Feb 25 20:36:07 ubuntu named[6778]: zone 255.in-addr.arpa/IN: loaded serial 1
Feb 25 20:36:07 ubuntu named[6778]: all zones loaded
Feb 25 20:36:07 ubuntu named[6778]: running
Feb 25 20:36:12 ubuntu systemd[1]: Stopping BIND Domain Name Server...
Feb 25 20:36:12 ubuntu named[6778]: received control channel command 'stop'
Feb 25 20:36:12 ubuntu named[6778]: shutting down: flushing changes
Feb 25 20:36:12 ubuntu named[6778]: stopping command channel on 127.0.0.1#953
Feb 25 20:36:12 ubuntu named[6778]: stopping command channel on ::1#953
Feb 25 20:36:12 ubuntu named[6778]: no longer listening on 127.0.0.1#53
Feb 25 20:36:12 ubuntu named[6778]: exiting
Feb 25 20:36:12 ubuntu named[6778]: ../../../lib/isc/mem.c:1229: REQUIRE(ctx->references == 1) failed
Feb 25 20:36:12 ubuntu systemd[1]: bind9.service: Main process exited, code=dumped, status=6/ABRT
Feb 25 20:36:12 ubuntu systemd[1]: Stopped BIND Domain Name Server.
Feb 25 20:36:12 ubuntu systemd[1]: bind9.service: Unit entered failed state.
Feb 25 20:36:12 ubuntu systemd[1]: bind9.service: Failed with result 'core-dump'.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bind9 (Ubuntu):
status: New → Confirmed
Doug Smythies (dsmythies) wrote :

Same for me:

Feb 29 14:45:51 DOUG-64 named[1202]: connection refused resolving '19.82.133.155.in-addr.arpa/PTR/IN': 37.59.161.64#53
Feb 29 15:35:01 DOUG-64 systemd[1]: Stopping BIND Domain Name Server...
Feb 29 15:35:01 DOUG-64 named[1202]: received control channel command 'stop'
Feb 29 15:35:01 DOUG-64 named[1202]: shutting down: flushing changes
Feb 29 15:35:01 DOUG-64 named[1202]: stopping command channel on 127.0.0.1#953
Feb 29 15:35:01 DOUG-64 named[1202]: no longer listening on 127.0.0.1#53
Feb 29 15:35:01 DOUG-64 named[1202]: no longer listening on 173.180.XXX.YYY#53
Feb 29 15:35:01 DOUG-64 named[1202]: no longer listening on 192.168.111.1#53
Feb 29 15:35:01 DOUG-64 named[1202]: exiting
Feb 29 15:35:01 DOUG-64 named[1202]: ../../../lib/isc/mem.c:1229: REQUIRE(ctx->references == 1) failed
Feb 29 15:35:02 DOUG-64 systemd[1]: bind9.service: Main process exited, code=dumped, status=6/ABRT
Feb 29 15:35:02 DOUG-64 systemd[1]: Stopped BIND Domain Name Server.
Feb 29 15:35:02 DOUG-64 systemd[1]: bind9.service: Unit entered failed state.
Feb 29 15:35:02 DOUG-64 systemd[1]: bind9.service: Failed with result 'core-dump'.

As of the last few days, I also have an apparmor issue:

Feb 29 15:35:33 DOUG-64 kernel: [25130.612529] audit: type=1400 audit(1456788933.480:15): apparmor="DENIED" operation="open" profile="/usr/sbin/named" name="/proc/sys/net/ipv4/ip_local_port_range" pid=4932 comm="named" requested_mask="r" denied_mask="r" fsuid=109 ouid=0

but if I set that apparmor profile to "complain" mode, then my kernel will crash during the shutdown phase of a re-boot.

Otherwise, and as far as I know the DNS is actually working properly.

Doug Smythies (dsmythies) wrote :

1:9.10.3.dfsg.P2-5 has the same issue, but the apparmor issue is fixed.

Xu Zhen (xuzhen666) on 2016-03-04
summary: - bind9 9.10.3.dfsg.P2-4 crash on exit
+ bind9 9.10.3.dfsg.P2-5 crash on exit
Xu Zhen (xuzhen666) wrote :

seems fixed in 1:9.10.3.dfsg.P4-1

dino99 (9d9) on 2016-03-18
Changed in bind9 (Ubuntu):
status: Confirmed → Fix Released
Xu Zhen (xuzhen666) wrote :

1:9.10.3.dfsg.P4-4 crashed again

Doug Smythies (dsmythies) wrote :

Yes, same for me. Setting back to confirmed.

bind9-host 1:9.10.3.dfsg.P2-5, not sure why out package numbers differ.

Changed in bind9 (Ubuntu):
status: Fix Released → Confirmed

Hello Xu, or anyone else affected,

Accepted bind9 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bind9/1:9.10.3.dfsg.P4-8ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bind9 - 1:9.10.3.dfsg.P4-9

---------------
bind9 (1:9.10.3.dfsg.P4-9) unstable; urgency=medium

  * Fix bad patch from when we switched to quilt. Closes: #820847 LP:
    #1552801, #1549788, #1553460
  * freshen patch to remove fuzz.

 -- LaMont Jones <email address hidden> Tue, 26 Apr 2016 15:17:58 -0600

Changed in bind9 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers